Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKDSASigner

    java.lang.Object
      java.security.SignatureSpi
          org.bouncycastle.jce.provider.JDKDSASigner

All Implemented Interfaces:
  PKCSObjectIdentifiers, X509ObjectIdentifiers

Direct Known Subclasses:
  JDKDSASigner.dsa224, JDKDSASigner.dsa256, JDKDSASigner.dsa384, JDKDSASigner.dsa512, JDKDSASigner.noneDSA, JDKDSASigner.stdDSA

    public class JDKDSASigner

extends java.security.SignatureSpi
implements PKCSObjectIdentifiers, X509ObjectIdentifiers

Nested Class Summary
`static class` `JDKDSASigner.dsa224`
`static class` `JDKDSASigner.dsa256`
`static class` `JDKDSASigner.dsa384`
`static class` `JDKDSASigner.dsa512`
`static class` `JDKDSASigner.noneDSA`
`static class` `JDKDSASigner.stdDSA`

Field Summary

Fields inherited from class java.security.SignatureSpi
`appRandom`

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers

`bagtypes, canNotDecryptAny, certBag, certTypes, crlBag, crlTypes, data, des_EDE3_CBC, dhKeyAgreement, digestAlgorithm, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_commitmentType, id_aa_contentHint, id_aa_contentIdentifier, id_aa_encrypKeyPref, id_aa_ets_archiveTimestamp, id_aa_ets_certCRLTimestamp, id_aa_ets_certificateRefs, id_aa_ets_certValues, id_aa_ets_commitmentType, id_aa_ets_contentTimestamp, id_aa_ets_escTimeStamp, id_aa_ets_otherSigCert, id_aa_ets_revocationRefs, id_aa_ets_revocationValues, id_aa_ets_signerAttr, id_aa_ets_signerLocation, id_aa_ets_sigPolicyId, id_aa_otherSigCert, id_aa_receiptRequest, id_aa_signatureTimeStampToken, id_aa_signerLocation, id_aa_signingCertificate, id_aa_signingCertificateV2, id_aa_sigPolicyId, id_alg_CMS3DESwrap, id_alg_CMSRC2wrap, id_alg_PWRI_KEK, id_ct, id_ct_authData, id_ct_authEnvelopedData, id_ct_compressedData, id_ct_TSTInfo, id_cti, id_cti_ets_proofOfApproval, id_cti_ets_proofOfCreation, id_cti_ets_proofOfDelivery, id_cti_ets_proofOfOrigin, id_cti_ets_proofOfReceipt, id_cti_ets_proofOfSender, id_hmacWithSHA1, id_hmacWithSHA224, id_hmacWithSHA256, id_hmacWithSHA384, id_hmacWithSHA512, id_mgf1, id_PBES2, id_PBKDF2, id_pSpecified, id_RSAES_OAEP, id_RSASSA_PSS, id_spq, id_spq_ets_unotice, id_spq_ets_uri, keyBag, md2, md2WithRSAEncryption, md4, md4WithRSAEncryption, md5, md5WithRSAEncryption, pbeWithMD2AndDES_CBC, pbeWithMD2AndRC2_CBC, pbeWithMD5AndDES_CBC, pbeWithMD5AndRC2_CBC, pbeWithSHA1AndDES_CBC, pbeWithSHA1AndRC2_CBC, pbeWithSHAAnd128BitRC2_CBC, pbeWithSHAAnd128BitRC4, pbeWithSHAAnd2_KeyTripleDES_CBC, pbeWithSHAAnd3_KeyTripleDES_CBC, pbewithSHAAnd40BitRC2_CBC, pbeWithSHAAnd40BitRC4, pkcs_1, pkcs_12, pkcs_12PbeIds, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, sdsiCertificate, secretBag, sha1WithRSAEncryption, sha224WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509Certificate, x509certType, x509Crl`

Fields inherited from interface org.bouncycastle.asn1.x509.X509ObjectIdentifiers
`commonName, countryName, crlAccessMethod, id, id_ad, id_ad_caIssuers, id_ad_ocsp, id_at_name, id_at_telephoneNumber, id_ea_rsa, id_pe, id_pkix, id_SHA1, localityName, ocspAccessMethod, organization, organizationalUnitName, ripemd160, ripemd160WithRSAEncryption, stateOrProvinceName`

Constructor Summary
`protected` `JDKDSASigner(Digest digest, DSA signer)`

Method Summary
`protected java.lang.Object` `engineGetParameter(java.lang.String param)` Deprecated.
`protected void` `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random)`
`protected void` `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` `engineSign()`
`protected void` `engineUpdate(byte b)`
`protected void` `engineUpdate(byte[] b, int off, int len)`
`protected boolean` `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.SignatureSpi
`clone, engineGetParameters, engineSign, engineUpdate, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKDSASigner

    protected JDKDSASigner(Digest digest,
                           DSA signer)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Specified by:
    `engineInitVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey,
                                  java.security.SecureRandom random)
                           throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Specified by:
    `engineInitSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Specified by:
    `engineSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Specified by:
    `engineVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Specified by:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Deprecated.

  Specified by:
    `engineGetParameter` in class `java.security.SignatureSpi`

Bouncy Castle Cryptography Library 1.45